POST /api/fleet/epm/custom_integrations

Spaces method and path for this operation:

post /s/{space_id}/api/fleet/epm/custom_integrations

Refer to Spaces for more information.

Create a new custom integration package with user-defined data streams.

[Required authorization] Route required privileges: integrations-all AND fleet-agent-policies-all.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • datasets array[object] Required

    Not more than 10 elements.

    Hide datasets attributes Show datasets attributes object
    • name string Required
    • type string Required

      Values are logs, metrics, traces, synthetics, or profiling.

  • force boolean
  • integrationName string Required

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • _meta object Required

      Additional properties are NOT allowed.

      Hide _meta attributes Show _meta attributes object
      • install_source string Required
      • name string Required
    • items array[object] Required

      Not more than 10000 elements.

      Any of:
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
POST /api/fleet/epm/custom_integrations
curl \
 --request POST 'https://<KIBANA_URL>/api/fleet/epm/custom_integrations' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --header "kbn-xsrf: true" \
 --data '{"datasets":[{"name":"my_custom_logs.access","type":"logs"}],"integrationName":"my_custom_logs"}'
Request example
Create a new custom integration
{
  "datasets": [
    {
      "name": "my_custom_logs.access",
      "type": "logs"
    }
  ],
  "integrationName": "my_custom_logs"
}
Response examples (200)
Custom integration successfully created
{
  "_meta": {
    "install_source": "custom"
  },
  "items": [
    {
      "id": "my_custom_logs-logs-my_custom_logs.access",
      "type": "index_template"
    }
  ]
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}